
QGIS Application - Bug report #22088

PyQGIS3 cannot handle a large-scale raster file (DEM file with 6.5 million raster cells

2019-05-15 07:24 PM - Keuntae Kim

Status: Closed

Priority: Normal

Assignee:

Category: Python bindings / sipify

Affected QGIS version:3.6.2 Regression?: No

Operating System: Windows 10 Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 29901

Description

I wrote a simple python code of printing the elevation values of the NOAA DEM raster file (a DEM raster file with 6.5 million cells in it) in

the Python Editor provided in QGIS3 (using the PyQGIS library).

I ran the code by using the different raster file with a small number of raster cells, but it still crashed when running the code.

History

#1 - 2019-05-15 07:26 PM - Keuntae Kim

I wrote a simple python code of printing the elevation values of the NOAA DEM raster file (a DEM raster file with 6.5 million cells in it) in the Python Editor

provided in QGIS3 (using the PyQGIS library).

I ran the code by using the different raster file with a small number of raster cells, but it still crashed when running the code.

#2 - 2019-05-15 07:30 PM - Keuntae Kim

- Status changed from Open to Closed

#3 - 2019-05-17 07:35 PM - Giovanni Manghi

why has this been closed?

Files

rastertest.py 895 Bytes 2019-05-15 Keuntae Kim
